.media--type-remote-video,
.media--type-video {
  position: relative;
  padding-bottom: 56.25%; /* 16:9 */
  height: 0;
}
.media--type-remote-video iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
/* Background video */
.bgvideo {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  object-fit: cover;
  margin: 0;
}
.bgvideo video {
  min-width: 100%;
  height:100%;
  object-fit: cover;
}
.bgvideo .videobuttons {
  position: absolute;
  bottom: 1rem;
  right: 1rem;
  z-index: 1;
}
.bgvideo .videobuttons button {
  margin-left: 1.5rem;
  padding: calc(var(--d-button-padding-tb) * 0.55) !important;
  min-width: 4.75rem;
  font-size: 150% !important;
}
.bgvideo video {
  opacity: 1;
  transition: opacity var(--d-transition);
}
.bgvideo.video-paused video {
  opacity: 0;
}
@media all and (min-width: 1025px), print {
  /* DESKTOP SMALL - Non-Retina - (1025px-1280px) */

  /* Background video */
  .bgvideo .videobuttons {
    bottom: var(--d-margin-bottom);
    right: var(--d-margin-bottom);
  }

}